Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 1234223005: Initial gtk3 support (Closed)

Created:
5 years, 4 months ago by knthzh
Modified:
5 years, 2 months ago
CC:
chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Initial gtk3 support Currently we're sticking with deprecated apis to make it easier to support both gtk2 and gtk3. If Chrome ever drops gtk2 support, it might be a good idea to do a complete port. BUG=132847 R=erg@chromium.org,estade@chromium.org Committed: https://crrev.com/c694003c15dc6af21b453febd1463c5394c98c9e Cr-Commit-Position: refs/heads/master@{#348339}

Patch Set 1 #

Patch Set 2 : Fixed abort on GtkPrintUnixDialog #

Total comments: 9

Patch Set 3 : Rebase #

Patch Set 4 : Remove ButtonImageSkiaSource #

Patch Set 5 : Reduce use of GtkStateFlags constants #

Patch Set 6 : Consolidate GTK calls #

Patch Set 7 : Remove all references to GetGtkState and GtkStateFlags #

Patch Set 8 : Fix gtk2 compile errors #

Patch Set 9 : Fix colors #

Patch Set 10 : Fix gtk2 colors #

Total comments: 4

Patch Set 11 : Move fake frame to native_theme_gtk2 #

Patch Set 12 : Undo system.gyp changes #

Patch Set 13 : Rebase #

Patch Set 14 : Replace some deprecated functions #

Patch Set 15 : Color fixes #

Patch Set 16 : Remove color picker macros from header #

Patch Set 17 : Fix colors #

Total comments: 4

Patch Set 18 : Silence deprecation warnings #

Patch Set 19 : gtk3 frame fixes #

Total comments: 12

Patch Set 20 : Fix gtk2 titlebars #

Total comments: 2

Patch Set 21 : Fix gtk2 regressions #

Total comments: 1

Patch Set 22 : Two final comments #

Patch Set 23 : Coding style #

Patch Set 24 : Rebase #

Patch Set 25 : Silence gtk memory leak #

Unified diffs Side-by-side diffs Delta from patch set Stats (+650 lines, -842 lines) Patch
M AUTHORS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/chrome_gtk_frame.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/gtk2_border.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 4 chunks +6 lines, -52 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/gtk2_key_bindings_handler.cc View 1 2 3 4 5 6 7 2 chunks +9 lines, -2 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/gtk2_status_icon.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/gtk2_ui.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 6 chunks +15 lines, -37 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/gtk2_ui.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 24 chunks +352 lines, -417 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/gtk2_util.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +0 lines, -8 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/gtk2_util.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +0 lines, -16 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/menu_util.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +4 lines, -1 line 0 comments Download
M chrome/browser/ui/libgtk2ui/native_theme_gtk2.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 3 chunks +13 lines, -31 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/native_theme_gtk2.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 8 chunks +219 lines, -252 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/owned_widget_gtk2.cc View 1 2 3 4 5 1 chunk +1 line, -4 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/print_dialog_gtk2.h View 2 chunks +3 lines, -6 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/print_dialog_gtk2.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 2 chunks +14 lines, -8 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/select_file_dialog_impl_gtk2.cc View 1 2 3 chunks +6 lines, -6 lines 0 comments Download
M chrome/browser/ui/libgtk2ui/x11_input_method_context_impl_gtk2.h View 1 2 3 4 5 6 7 2 chunks +1 line, -2 lines 0 comments Download
M content/browser/browser_main_loop.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 66 (17 generated)
knthzh
5 years, 4 months ago (2015-07-17 22:57:03 UTC) #1
Elliot Glaysher
So in general, the changes look OK, though, as you mention, this is incomplete. That ...
5 years, 4 months ago (2015-07-20 19:31:40 UTC) #2
knthzh
https://codereview.chromium.org/1234223005/diff/20001/build/linux/system.gyp File build/linux/system.gyp (left): https://codereview.chromium.org/1234223005/diff/20001/build/linux/system.gyp#oldcode116 build/linux/system.gyp:116: '<!@(<(pkg-config) --cflags gdk-2.0)', On 2015/07/20 19:31:40, Elliot Glaysher wrote: ...
5 years, 4 months ago (2015-07-21 15:48:28 UTC) #3
Elliot Glaysher
(Thought I hit send. Ooops.) https://codereview.chromium.org/1234223005/diff/20001/build/linux/system.gyp File build/linux/system.gyp (left): https://codereview.chromium.org/1234223005/diff/20001/build/linux/system.gyp#oldcode116 build/linux/system.gyp:116: '<!@(<(pkg-config) --cflags gdk-2.0)', On ...
5 years, 4 months ago (2015-07-28 17:54:36 UTC) #4
knthzh
> (Just to be clear, I'm fine with you having this hack in while you're ...
5 years, 4 months ago (2015-07-28 18:59:00 UTC) #5
Elliot Glaysher
On 2015/07/28 18:59:00, knthzh wrote: > > (Just to be clear, I'm fine with you ...
5 years, 4 months ago (2015-07-28 19:36:28 UTC) #6
knthzh
> Build options will probably not be accepted. > > We have a giant build ...
5 years, 4 months ago (2015-07-28 20:18:00 UTC) #7
knthzh
It works on both gtk2 and gtk3 now, although these patches didn't turn out as ...
5 years, 4 months ago (2015-08-05 05:02:31 UTC) #11
Elliot Glaysher
On 2015/08/05 05:02:31, knthzh wrote: > It works on both gtk2 and gtk3 now, although ...
5 years, 4 months ago (2015-08-06 18:03:07 UTC) #12
knthzh
> (I continue to suspect that you are making things way too difficult on yourself ...
5 years, 4 months ago (2015-08-07 19:25:52 UTC) #13
Elliot Glaysher
(FYI, I'm out for most of this week and won't be able to poke at ...
5 years, 3 months ago (2015-08-10 17:36:40 UTC) #14
knthzh
On 2015/08/10 17:36:40, Elliot Glaysher wrote: > (FYI, I'm out for most of this week ...
5 years, 3 months ago (2015-08-10 17:53:46 UTC) #15
knthzh
https://codereview.chromium.org/1234223005/diff/240001/chrome/browser/ui/libgtk2ui/gtk2_border.cc File chrome/browser/ui/libgtk2ui/gtk2_border.cc (left): https://codereview.chromium.org/1234223005/diff/240001/chrome/browser/ui/libgtk2ui/gtk2_border.cc#oldcode144 chrome/browser/ui/libgtk2ui/gtk2_border.cc:144: bool call_to_action = owning_button_->GetClassName() == Okay, I put in ...
5 years, 3 months ago (2015-08-21 03:21:47 UTC) #16
Evan Stade
https://codereview.chromium.org/1234223005/diff/240001/chrome/browser/ui/libgtk2ui/gtk2_border.cc File chrome/browser/ui/libgtk2ui/gtk2_border.cc (left): https://codereview.chromium.org/1234223005/diff/240001/chrome/browser/ui/libgtk2ui/gtk2_border.cc#oldcode144 chrome/browser/ui/libgtk2ui/gtk2_border.cc:144: bool call_to_action = owning_button_->GetClassName() == On 2015/08/21 03:21:47, knthzh ...
5 years, 3 months ago (2015-08-21 15:24:18 UTC) #17
knthzh
On 2015/08/21 15:24:18, Evan Stade wrote: > https://codereview.chromium.org/1234223005/diff/240001/chrome/browser/ui/libgtk2ui/gtk2_border.cc > File chrome/browser/ui/libgtk2ui/gtk2_border.cc (left): > > https://codereview.chromium.org/1234223005/diff/240001/chrome/browser/ui/libgtk2ui/gtk2_border.cc#oldcode144 ...
5 years, 3 months ago (2015-08-22 19:26:00 UTC) #18
Evan Stade
On 2015/08/22 19:26:00, knthzh wrote: > On 2015/08/21 15:24:18, Evan Stade wrote: > > > ...
5 years, 3 months ago (2015-08-22 20:18:30 UTC) #19
knthzh
> Sure. I figured it out and here's how: I followed the above link for ...
5 years, 3 months ago (2015-08-22 20:27:42 UTC) #20
knthzh
https://codereview.chromium.org/1234223005/diff/440001/chrome/browser/ui/libgtk2ui/gtk2_ui.cc File chrome/browser/ui/libgtk2ui/gtk2_ui.cc (right): https://codereview.chromium.org/1234223005/diff/440001/chrome/browser/ui/libgtk2ui/gtk2_ui.cc#newcode1022 chrome/browser/ui/libgtk2ui/gtk2_ui.cc:1022: #else So, I ended up deciding that the best ...
5 years, 3 months ago (2015-08-24 03:58:18 UTC) #24
Elliot Glaysher
https://codereview.chromium.org/1234223005/diff/440001/chrome/browser/ui/libgtk2ui/gtk2_ui.cc File chrome/browser/ui/libgtk2ui/gtk2_ui.cc (right): https://codereview.chromium.org/1234223005/diff/440001/chrome/browser/ui/libgtk2ui/gtk2_ui.cc#newcode1022 chrome/browser/ui/libgtk2ui/gtk2_ui.cc:1022: #else On 2015/08/24 03:58:18, knthzh wrote: > So, I ...
5 years, 3 months ago (2015-08-24 17:14:38 UTC) #25
knthzh
https://codereview.chromium.org/1234223005/diff/440001/chrome/browser/ui/libgtk2ui/gtk2_ui.cc File chrome/browser/ui/libgtk2ui/gtk2_ui.cc (right): https://codereview.chromium.org/1234223005/diff/440001/chrome/browser/ui/libgtk2ui/gtk2_ui.cc#newcode1022 chrome/browser/ui/libgtk2ui/gtk2_ui.cc:1022: #else On 2015/08/24 17:14:38, Elliot Glaysher wrote: > Probably ...
5 years, 3 months ago (2015-08-24 20:04:18 UTC) #26
Elliot Glaysher
https://codereview.chromium.org/1234223005/diff/440001/chrome/browser/ui/libgtk2ui/gtk2_ui.cc File chrome/browser/ui/libgtk2ui/gtk2_ui.cc (right): https://codereview.chromium.org/1234223005/diff/440001/chrome/browser/ui/libgtk2ui/gtk2_ui.cc#newcode1022 chrome/browser/ui/libgtk2ui/gtk2_ui.cc:1022: #else On 2015/08/24 20:04:18, knthzh wrote: > On 2015/08/24 ...
5 years, 3 months ago (2015-08-24 20:14:23 UTC) #27
knthzh
On 2015/08/24 20:14:23, Elliot Glaysher wrote: > So, you are taking a GtkOffscreenWindow and rendering ...
5 years, 3 months ago (2015-08-25 18:07:38 UTC) #28
Elliot Glaysher
On 2015/08/25 18:07:38, knthzh wrote: > On 2015/08/24 20:14:23, Elliot Glaysher wrote: > > So, ...
5 years, 3 months ago (2015-08-31 22:23:49 UTC) #29
Elliot Glaysher
This patch is large enough that I'm going to have to read this several times. ...
5 years, 3 months ago (2015-09-01 22:43:58 UTC) #30
knthzh
On 2015/09/01 22:43:58, Elliot Glaysher wrote: > This patch is large enough that I'm going ...
5 years, 3 months ago (2015-09-02 05:48:29 UTC) #31
Elliot Glaysher
> Which gtk and icon themes are those? Murrina-Tangoesque (I believe this is an XFCE ...
5 years, 3 months ago (2015-09-03 19:28:01 UTC) #32
knthzh
For future images, can you make them side-by-side screenshots of a vanilla build and a ...
5 years, 3 months ago (2015-09-04 00:15:18 UTC) #33
Elliot Glaysher
On 2015/09/04 00:15:18, knthzh wrote: > For future images, can you make them side-by-side screenshots ...
5 years, 3 months ago (2015-09-04 21:56:51 UTC) #34
Elliot Glaysher
On 2015/09/04 21:56:51, Elliot Glaysher wrote: > On 2015/09/04 00:15:18, knthzh wrote: > > For ...
5 years, 3 months ago (2015-09-04 21:57:10 UTC) #35
knthzh
On 2015/09/04 21:56:51, Elliot Glaysher wrote: > I looked for a gtk theme that you're ...
5 years, 3 months ago (2015-09-05 05:24:01 UTC) #36
Elliot Glaysher
On 2015/09/05 05:24:01, knthzh wrote: > On 2015/09/04 21:56:51, Elliot Glaysher wrote: > > I ...
5 years, 2 months ago (2015-09-08 22:44:37 UTC) #37
knthzh
On 2015/09/08 22:44:37, Elliot Glaysher wrote: > The gtk2 interface will still be the default ...
5 years, 2 months ago (2015-09-09 03:49:59 UTC) #38
Elliot Glaysher
Visually, everything looks fine now on gtk2 and anything in gtk3 can be fixed up ...
5 years, 2 months ago (2015-09-09 17:58:10 UTC) #39
knthzh
On 2015/09/09 17:58:10, Elliot Glaysher wrote: > Visually, everything looks fine now on gtk2 and ...
5 years, 2 months ago (2015-09-09 19:40:29 UTC) #40
Elliot Glaysher
lgtm (I'll leave clicking the CQ button to you.)
5 years, 2 months ago (2015-09-09 19:54:42 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1234223005/560001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1234223005/560001
5 years, 2 months ago (2015-09-09 20:06:13 UTC) #43
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/97868)
5 years, 2 months ago (2015-09-09 20:16:49 UTC) #45
Elliot Glaysher
jam: OWNERS stamp on content/browser/browser_main_loop.cc
5 years, 2 months ago (2015-09-09 20:31:07 UTC) #47
jam
lgtm
5 years, 2 months ago (2015-09-10 19:22:11 UTC) #48
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1234223005/560001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1234223005/560001
5 years, 2 months ago (2015-09-10 21:13:22 UTC) #50
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/51415)
5 years, 2 months ago (2015-09-10 22:55:38 UTC) #52
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1234223005/560001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1234223005/560001
5 years, 2 months ago (2015-09-10 23:38:29 UTC) #54
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/51508)
5 years, 2 months ago (2015-09-11 01:02:23 UTC) #56
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1234223005/600001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1234223005/600001
5 years, 2 months ago (2015-09-11 04:44:22 UTC) #58
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
5 years, 2 months ago (2015-09-11 05:40:27 UTC) #60
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1234223005/600001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1234223005/600001
5 years, 2 months ago (2015-09-11 05:42:28 UTC) #63
commit-bot: I haz the power
Committed patchset #25 (id:600001)
5 years, 2 months ago (2015-09-11 05:47:56 UTC) #64
commit-bot: I haz the power
Patchset 25 (id:??) landed as https://crrev.com/c694003c15dc6af21b453febd1463c5394c98c9e Cr-Commit-Position: refs/heads/master@{#348339}
5 years, 2 months ago (2015-09-11 05:48:33 UTC) #65
commit-bot: I haz the power
5 years, 2 months ago (2015-09-23 12:19:16 UTC) #66
Message was sent while issue was closed.
Patchset 25 (id:??) landed as
https://crrev.com/c694003c15dc6af21b453febd1463c5394c98c9e
Cr-Commit-Position: refs/heads/master@{#348339}

Powered by Google App Engine
This is Rietveld 408576698